﻿:root {
    --green-primary: #050;
    --green-secondary: #4c4;
    --green-background: #e0e5c1;
    --green-background-darker: #79bb7a;

    --red-normal: #800;
    --red-dark: #600;

    --border-color: var(--green-primary);
    --background-dark: var(--green-background-darker);

    --link: var(--red-dark);

    --title-outline: var(--green-background-darker);
    --title-color: var(--red-normal);
}

html {
    font-size: 24px;
}

body {
    margin: 0;
    padding: 0;
    word-wrap: break-word;
    background: var(--green-background);
    font-family: Lora, Georgia, 'Times New Roman', Times, serif;
}

h1 {
    text-align: center;
}

h1 a {
    text-decoration: none;
}

img {
    max-width: 98%;
}

a {
    color: var(--link);
}

header {
    background-image: url(/wpimages/header.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}

header h1 {
    font-family: 'Lilita One', 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-top: 0;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    font-size: 150%;
    max-width: 100%;
    text-shadow: -1px -1px 0 var(--title-outline), 1px -1px 0 var(--title-outline), -1px 1px 0 var(--title-outline), 1px 1px 0 var(--title-outline);
}

header h1 a {
    color: var(--title-color);
}

h1 a:hover {
    text-decoration: none;
}

header .header-logo {
    display: none;
}

@media screen and (min-width: 420px) {

    header h1 {
        float: right;
        margin-left: 0;
        max-width: 70%;
        font-size: 200%;
    }

    header .header-logo {
        display: block;
        float: left;
        width: 25%;
        max-width: calc(min(25%,200px));
    }
}

@media screen and (min-width: 560px) {

    header h1 {
        font-size: 250%;
    }
}

header nav {
    clear: both;
    display: flex;
    flex-flow: wrap;
    border-bottom: 1px solid var(--border-color);
    background-color: var(--background-dark);
}

header nav,
footer {
    font-family: 'Ropa Sans', Arial, Helvetica, sans-serif;
}

header nav a {
    padding: 0.5rem 0.5rem;
    text-decoration: none;
    flex-grow: 1;
    font-size: 1.25em;
}

.main {
    margin-left: auto;
    margin-right: auto;
    position: relative;
    max-width: 960px;
    border: 0px solid var(--border-color);
    border-top-width: 0;
    padding: 0.25rem 0.5rem;
}

table.programme {
    max-width: 90%;
    background-color: var(--background-dark);
    border-spacing: 0;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 2rem;
}

table.programme tr {
    vertical-align: top;
}

table.programme th {
    border-top: 8px solid var(--green-background);
    text-align: left;
    padding: 0.25rem 0.5rem;
}

table.programme tbody tr:first-child th {
    border-width: 0;
}

table.programme td {
    padding: 0.25rem 0.5rem 0.5rem;
}

img {
    border: none;
}

img.photo {
    display: block;
    margin: auto;
    border: 1px solid #444;
    box-shadow: rgba(0, 0, 0, 0.65) 0.1rem 0.1rem 0.2rem;
    margin-bottom: 1rem;
}

input {
    border: 1px solid black;
    border-radius: 2px;
    padding: 0;
}

input[type=image] {
    border: none;
}

textarea {
    border: 1px solid black;
    padding: 0;
}

footer {
    text-align: center;
    padding: 0.5rem 1rem;
    background-color: var(--background-dark);
}

.slider-container {
    position: relative;
}

.slider-container img {
    border: 1px solid #444;
}

.gallery {
    position: relative;
    width: 900px;
    height: 600px;
}

.button {
    text-decoration: none;
    border: 1px solid;
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    background: var(--background-dark);
}

ul.programme-listings {
    margin-left: -1rem;
}

figure .photo {
    margin-bottom: 0;
}

figcaption {
    text-align: center;
    font-style: italic;
    margin-top: 0;
    font-size: 90%;
}